Create a Balance
Base URL not set in the spec · operationId createBalance
Endpoint to create a Balance in Monato Billpay.
Authorization
BearerAuth Bearer token
Query parameters
payer_account string requiredThe Payee user id to pay or to check information regarding the user account
payee_id string requiredUnique ID from Monato to identify the Payee
Responses
201 Successfully Balance created application/json
balance_id string payee_id string payee_name string amount string payer_account string currency string invoice_date string (date-time) due_date string (date-time) status string metadata object created_at string (date-time) 400 Bad request
This request is in the Monato · Billpay Postman collection.Download collection
Request
curl -X POST "$BASE_URL/v1/balances?payer_account=U0000-20&payee_id=2bd7cf7f-4138-4d7a-ae28-b9888bc6f756" \
-H "Authorization: Bearer $TOKEN"const res = await fetch(`${BASE_URL}/v1/balances?payer_account=U0000-20&payee_id=2bd7cf7f-4138-4d7a-ae28-b9888bc6f756`, {
method: "POST",
headers: {
"Authorization": `Bearer ${TOKEN}`,
},
});
const data = await res.json();import requests
res = requests.post(
f"{BASE_URL}/v1/balances?payer_account=U0000-20&payee_id=2bd7cf7f-4138-4d7a-ae28-b9888bc6f756",
headers={
"Authorization": f"Bearer {TOKEN}",
},
)
data = res.json()Response
Response 201
{
"balance_id": "4rsie1fb-b61b-44c3-a258-6a9d6e8572849",
"payee_id": "0d93acf6-b63d-46e8-aa5f-6f2520462608",
"payee_name": "AGUA DE CDMX (SACMEX)",
"amount": "36.67",
"payer_account": "041837057079959114",
"currency": "MXN",
"invoice_date": "2024-04-10T19:21:13.380Z",
"due_date": "2024-04-20T19:21:13.380Z",
"status": "completed",
"metadata": {
"payer_name": "PAYER",
"payer_address": "PAYER ADDRESS"
},
"created_at": "2024-04-10T19:21:13.387Z"
}